Error upgrading Community 7 to Community 8

Error upgrading Community 7 to Community 8

Hello all,

When trying to upgrade a Community v7 to v8 I get error 22.

I'm attaching the logs, but the part it seems to have failed is :

Catalog collation is set to Latin1_General_CI_AI
Creating ASP.NET Session State database as 'OSASPState'.
 Reusing Platform database 'outsystems'.
 Reusing database 'outsystems' and users 'OSAdmin','OSRuntime','OSLog'.
Upgrading will cause your license to be violated because this server's license is limited to 7.0 versions.
Platform Database schema will be upgraded in catalog. This process may take a while.
Database Error: Database error - Incorrect syntax near '-'.
The Platform Server configuration was not completed. The Configuration Tool failed with error code 22
Notify Action: Id[86003934-3AC2-F149-A9DE-B35D386DE5C5] Version[] Action[Installation Failed] Details[Installed[Service Studio|Integration Studio] NotInstalled[Platform Server|System Components] Details[The Configuration Tool failed with error code 22] page[]]
RebootFlag was set
The Installation Failed
I don't have any access to ServiceCenter.

Any help?
Hello Nelson,

In order to upgrade your community to version 8 you should first get a license which is allowed on version 8. You can do so here ( )

The other error you're getting is a known bug of version You should try and download a newer version of the installer here ( )

Best regards,
Ricardo Silva